Bug 691270 (CVE-2011-1478) - CVE-2011-1478 kernel: gro: reset dev and skb_iff on skb reuse
Summary: CVE-2011-1478 kernel: gro: reset dev and skb_iff on skb reuse
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-1478
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 600350 674585 674588 681970 688311 691272 698058 698059 698060 700015
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-28 02:13 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:43 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 14:19:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0421 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-04-08 02:56:45 UTC
Red Hat Product Errata RHSA-2011:0429 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-04-12 18:19:57 UTC
Red Hat Product Errata RHSA-2011:0439 normal SHIPPED_LIVE Moderate: rhev-hypervisor security and bug fix update 2011-04-13 15:00:20 UTC
Red Hat Product Errata RHSA-2011:1253 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2011-09-12 19:43:48 UTC

Description Eugene Teo (Security Response) 2011-03-28 02:13:47 UTC
There is an issue in the core GRO code where an skb belonging to an unknown VLAN is reused as we don't reset skb->dev in the reuse case. This could result in a NULL pointer dereference.

6d152e23ad1a7a5b40fef1f42e017d66e6115159 gro: reset skb_iif on reuse
66c46d741e2e60f0e8b625b80edb0ab820c46d7a gro: Reset dev pointer on reuse

Acknowledgements:

Red Hat would like to thank Ryan Sweat for reporting this issue.

Comment 2 Eugene Teo (Security Response) 2011-03-28 02:38:19 UTC
Statement:

This issue did not affect the version of Linux kernel as shipped with Red Hat Enterprise Linux 4 as it did not support Generic Receive Offload (GRO). It has been addressed in Red Hat Enterprise Linux 5, 6, and Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2011-0429.html, https://rhn.redhat.com/errata/RHSA-2011-0421.html and https://rhn.redhat.com/errata/RHSA-2011-1253.html.

Comment 3 errata-xmlrpc 2011-04-08 02:57:50 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0421 https://rhn.redhat.com/errata/RHSA-2011-0421.html

Comment 4 errata-xmlrpc 2011-04-12 18:20:22 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0429 https://rhn.redhat.com/errata/RHSA-2011-0429.html

Comment 5 errata-xmlrpc 2011-04-13 15:00:26 UTC
This issue has been addressed in following products:

  RHEV-H, V2V and Agents for RHEL-5

Via RHSA-2011:0439 https://rhn.redhat.com/errata/RHSA-2011-0439.html

Comment 8 errata-xmlrpc 2011-09-12 19:45:05 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2011:1253 https://rhn.redhat.com/errata/RHSA-2011-1253.html


Note You need to log in before you can comment on or make changes to this bug.